import request from '/@/utils/request';

export function hiddenCheckApi() {
    return {
        // v1
        getHiddenCheckList: (data: object) => {
            return request({
                url: `/prevent/dangerRectify/select/getDangerRectifyPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addHiddenCheck: (data: object) => {
            return request({
                url: `/prevent/dangerManage/select/saveDangerManage`,
                method: 'post',
                data: data
            });
        },
        // v1
        modHiddenCheck: (data: object) => {
            return request({
                url: `/prevent/dangerRectify/update/updateDangerRectify`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteHiddenCheck: (data: object) => {
            return request({
                url: `/prevent/dangerRectify/delete/deleteDangerRectify`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllHiddenCheckList: () => {
            return request({
                url: `/prevent/device/select/listDevices`,
                method: 'post'
            });
        }
    };
}
